package no.ntnu.mycbr.rest;

import de.dfki.mycbr.core.ICaseBase;

import java.util.LinkedList;
import java.util.List;
import java.util.Map;

public class CaseBases {

    private List<String> casebases;


    public CaseBases() {
        casebases = new LinkedList<>();

        de.dfki.mycbr.core.Project project = App.getProject();

        for (Map.Entry<String, ICaseBase> cb : project.getCaseBases().entrySet()) {
            casebases.add(cb.getKey());
        }
    }

    public List<String> getCaseBases() {
        return casebases;
    }
}
