package no.ntnu.mycbr.rest;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;
import org.json.simple.parser.ParseException;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.Iterator;

class Recipe {
    private Object recipeObject;

    Recipe(String recipeId) {
        recipeObject = new Object();
        JSONParser parser = new JSONParser();

        try {
            Object obj = parser.parse(new FileReader("./src/main/resources/sandwich-recipes.json"));
            JSONObject jsonObject = (JSONObject) obj;
            JSONArray recipes = (JSONArray) jsonObject.get("recipes");

            Iterator iterator = recipes.iterator();
            while (iterator.hasNext()) {
                JSONObject thisRecipe = (JSONObject) iterator.next();
                if (thisRecipe.get("id").equals(recipeId)) {
                    recipeObject = thisRecipe;
                }
            }
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        } catch (ParseException e) {
            e.printStackTrace();
        }
    }

    public Object getRecipe() {
        return recipeObject;
    }
}