package no.ntnu.mycbr;

import de.dfki.mycbr.core.casebase.Attribute;
import de.dfki.mycbr.core.casebase.MultipleAttribute;
import de.dfki.mycbr.core.model.SymbolDesc;

import java.text.ParseException;
import java.util.LinkedList;
import java.util.StringTokenizer;

public class HelpMethodsForTesting {

    protected static MultipleAttribute getMultipleAttribute(SymbolDesc symbDesc, String values) {
        LinkedList<Attribute> ll = new LinkedList<Attribute>();
        try {
            StringTokenizer st = new StringTokenizer(values, ",");
            while (st.hasMoreElements()) {
                String symbolName = st.nextElement().toString().trim();
                if (symbDesc != null) {
                    ll.add(symbDesc.getAttribute(symbolName));
                }
            }


        } catch (Exception e) {
            e.printStackTrace();
        }
        MultipleAttribute<SymbolDesc> multi = new MultipleAttribute<SymbolDesc>(symbDesc, ll);
        return multi;
    }
}
