/**
 * Created by martheoynes on 07.12.2016.
 */

export class AppSettings {
  public static get CASEBASE_NAMES(): string[] {
    return ['Sandwich', 'SandwichEvaluation', 'quiz'];
  }

  public static get QUIZ_CASEBASE(): string {
    return 'quiz';
  }

  public static get CONCEPT_NAME(): string {
    return 'Cookery';
  }

  public static get BACKEND_URL(): string {
    return 'http://localhost:8080';
    // return 'http://hv-6151.idi.ntnu.no/api';
  }

  public static get NUMBER_OF_CASES(): number {
    return 5;
  }

  public static get DO_ADAPTATION(): boolean {
    return true;
  }

  public static get SHOW_ADAPTATIONS(): boolean {
    return true;
  }

  public static get SHOW_CASE_DETAILS(): boolean {
    return true;
  }

  public static get SHOW_DEVELOPER_HELP(): boolean {
    return false;
  }

  public static get EXCLUDED_ATTRIBUTES(): string[] {
    return ['Dish Category', 'Method', 'Type of Cuisine', 'CaseId', 'Title', 'Diet'];
  }
}
