package no.ntnu.mycbr.rest;

import de.dfki.mycbr.util.Pair;
import java.util.List;
import java.util.ArrayList;

public class QueryResult {
    public String caseName;
    public Double score;
    public List<Pair<String, String>> adaptations;
    public List<Pair<String, String>> parentChildren;
    public List<Pair<String, String>> childrenParent;

    QueryResult(String caseName, Double score, List<Pair<String, String>> adaptations, List<Pair<String, String>> parentChildren, List<Pair<String, String>> childrenParent) {
        this.caseName = caseName;
        this.score = score;
        this.adaptations = adaptations;
        this.parentChildren = parentChildren;
        this.childrenParent = childrenParent;
    }

    QueryResult(String caseName, Double score) {
        this.caseName = caseName;
        this.score = score;
        this.adaptations = new ArrayList<Pair<String, String>>();
        this.parentChildren = new ArrayList<Pair<String, String>>();
        this.childrenParent = new ArrayList<Pair<String, String>>();
    }

    public void AddAdaptation(String oldValue, String newValue) {
        this.adaptations.add(new Pair<String, String>(oldValue, newValue));
    }
}
